All of lore.kernel.org
 help / color / mirror / Atom feed
From: zkabelac@sourceware.org <zkabelac@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test/lib check.sh
Date: 9 Sep 2011 13:19:20 -0000	[thread overview]
Message-ID: <20110909131920.32556.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac at sourceware.org	2011-09-09 13:19:20

Modified files:
	test/lib       : check.sh 

Log message:
	Updated testing script
	
	Since attrs were extended by 2 new fields update check functions.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/check.sh.diff?cvsroot=lvm2&r1=1.5&r2=1.6

--- LVM2/test/lib/check.sh	2011/04/12 12:39:24	1.5
+++ LVM2/test/lib/check.sh	2011/09/09 13:19:19	1.6
@@ -139,8 +139,8 @@
 
 mirror_nonredundant() {
 	lv="$1/$2"
-	lvs -oattr "$lv" | grep "^ *m.....$" >/dev/null || {
-		if lvs -oattr "$lv" | grep "^ *o.....$" >/dev/null &&
+	lvs -oattr "$lv" | grep "^ *m.......$" >/dev/null || {
+		if lvs -oattr "$lv" | grep "^ *o.......$" >/dev/null &&
 		   lvs -a | fgrep "[${2}_mimage" >/dev/null; then
 			echo "TEST WARNING: $lv is a snapshot origin and looks like a mirror,"
 			echo "assuming it is actually a mirror"
@@ -183,7 +183,7 @@
 
 active() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep "^ *....a.$" >/dev/null || {
+	lvl -oattr "$lv" 2> /dev/null | grep "^ *....a...$" >/dev/null || {
 		echo "$lv expected active, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1
@@ -197,7 +197,7 @@
 
 inactive() {
 	lv="$1/$2"
-	lvl -oattr "$lv" 2> /dev/null | grep '^ *....[-isd].$' >/dev/null || {
+	lvl -oattr "$lv" 2> /dev/null | grep '^ *....[-isd]...$' >/dev/null || {
 		echo "$lv expected inactive, but lvs says it's not:"
 		lvl "$lv" -o+devices 2>/dev/null
 		exit 1



             reply	other threads:[~2011-09-09 13:19 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-09-09 13:19 zkabelac [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-01-28 16:08 LVM2/test/lib check.sh zkabelac
2011-01-07 14:42 mornfall
2011-01-07 13:03 mornfall

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20110909131920.32556.qmail@sourceware.org \
    --to=zkabelac@sourceware.org \
    --cc=lvm-devel@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.